--- interfaces	2012-02-07 19:18:12.180227192 +0100
+++ /usr/share/eole/creole/distrib/interfaces	2012-02-07 19:07:58.858914482 +0100
@@ -12,7 +12,7 @@
 auto lo
     iface lo inet loopback
 %def calc_bridge(%%name_eth, %%method_eth)
- %if %%eth0_method == "pppoe"
+ %if %%name_eth == 'eth0' and %%eth0_method == "pppoe"
   %set %%name_eth="ppp0"
  %end if
  %if %%method_eth == 'bridge'
@@ -23,9 +23,17 @@
 %%name_eth%slurp
 %end def
 ##
-%def gen_interfaces(%%name_eth_orig, %%eth_method, %%adresse_ip_eth, %%adresse_netmask_eth, %%adresse_broadcast_eth, %%adresse_network_eth, %%debit_carte_eth, %%method_eth, %%br_bridge_eth, %%adresse_gw="", %%valeur_mtu_eth="", %%restart_bastion='no')
+%def gen_interfaces(%%num_interface, %%name_eth_orig, %%eth_method, %%adresse_ip_eth, %%adresse_netmask_eth, %%adresse_broadcast_eth, %%adresse_network_eth, %%debit_carte_eth, %%method_eth, %%br_bridge_eth, %%adresse_gw="", %%valeur_mtu_eth="")
 %set %%name_eth = %%calc_bridge(%%name_eth_orig, %%method_eth)
- %if %%eth_method == "statique"
+ %if %%eth_method == "pppoe"
+auto dsl-provider
+    iface dsl-provider inet ppp
+    pre-up /sbin/ifconfig %%pppoe_interface up
+    provider dsl-provider
+    iface %%pppoe_interface inet manual
+
+ %end if
+ %if %%eth_method == "statique" or %%eth_method == "pppoe"
 auto %%name_eth
     iface %%name_eth inet static
     address %%adresse_ip_eth
@@ -41,20 +49,15 @@
   %if %%valeur_mtu_eth != ""
     mtu %%valeur_mtu_eth
   %end if
- %else if %%eth_method == "dhcp"
+ %end if
+ %if %%eth_method == "dhcp"
 auto %%name_eth
     iface %%name_eth inet dhcp
   %if %%valeur_mtu_eth != ""
     pre-up /sbin/ifconfig %%name_eth mtu %%valeur_mtu_eth
   %end if
- %else if %%eth_method == "pppoe"
-auto dsl-provider
-    iface dsl-provider inet ppp
-    pre-up /sbin/ifconfig %%pppoe_interface up
-    provider dsl-provider
-    iface %%pppoe_interface inet manual
  %end if
- %if %%restart_bastion == 'yes'
+ %if %%num_interface == %%nombre_interfaces
     post-up /etc/init.d/bastion restart
  %end if
  %if %%method_eth == 'bridge'
@@ -95,7 +98,7 @@
  %end if
 %end def
 ##
-%%gen_interfaces('eth0', %%eth0_method, %%adresse_ip_eth0, %%adresse_netmask_eth0, %%adresse_broadcast_eth0, %%adresse_network_eth0, %%debit_carte_eth0, %%method_eth0, %%br_bridge_eth0, %%adresse_ip_gw, %%valeur_mtu_eth0, 'yes')
+%%gen_interfaces('1', 'eth0', %%eth0_method, %%adresse_ip_eth0, %%adresse_netmask_eth0, %%adresse_broadcast_eth0, %%adresse_network_eth0, %%debit_carte_eth0, %%method_eth0, %%br_bridge_eth0, %%adresse_ip_gw, %%valeur_mtu_eth0)
 %if %%alias_eth0 == "oui"
  %for %%alias_addr_eth in %%alias_ip_eth0
   %set %%alias_index = %%alias_addr_eth.index
@@ -118,7 +121,7 @@
 %end if
 ##
 %if %%nombre_interfaces >= "2"
-%%gen_interfaces('eth1', %%eth1_method, %%adresse_ip_eth1, %%adresse_netmask_eth1, %%adresse_broadcast_eth1, %%adresse_network_eth1, %%debit_carte_eth1, %%method_eth1, %%br_bridge_eth1)
+%%gen_interfaces('2', 'eth1', %%eth1_method, %%adresse_ip_eth1, %%adresse_netmask_eth1, %%adresse_broadcast_eth1, %%adresse_network_eth1, %%debit_carte_eth1, %%method_eth1, %%br_bridge_eth1)
  %if %%alias_eth1 == "oui"
   %for %%alias_addr_eth in %%alias_ip_eth1
    %set %%alias_index = %%alias_addr_eth.index
@@ -140,7 +143,7 @@
 %end if
 ##
 %if %%nombre_interfaces >= "3"
-%%gen_interfaces('eth2', %%eth2_method, %%adresse_ip_eth2, %%adresse_netmask_eth2, %%adresse_broadcast_eth2, %%adresse_network_eth2, %%debit_carte_eth2, %%method_eth2, %%br_bridge_eth2)
+%%gen_interfaces('3', 'eth2', %%eth2_method, %%adresse_ip_eth2, %%adresse_netmask_eth2, %%adresse_broadcast_eth2, %%adresse_network_eth2, %%debit_carte_eth2, %%method_eth2, %%br_bridge_eth2)
  %if %%alias_eth2 == "oui"
   %for %%alias_addr_eth in %%alias_ip_eth2
    %set %%alias_index = %%alias_addr_eth.index
@@ -162,7 +165,7 @@
 %end if
 ##
 %if %%nombre_interfaces >= "4"
-%%gen_interfaces('eth3', %%eth3_method, %%adresse_ip_eth3, %%adresse_netmask_eth3, %%adresse_broadcast_eth3, %%adresse_network_eth3, %%debit_carte_eth3, %%method_eth3, %%br_bridge_eth3)
+%%gen_interfaces('4', 'eth3', %%eth3_method, %%adresse_ip_eth3, %%adresse_netmask_eth3, %%adresse_broadcast_eth3, %%adresse_network_eth3, %%debit_carte_eth3, %%method_eth3, %%br_bridge_eth3)
  %if %%alias_eth3 == "oui"
   %for %%alias_addr_eth in %%alias_ip_eth3
    %set %%alias_index = %%alias_addr_eth.index
@@ -184,7 +187,7 @@
 %end if
 ##
 %if %%nombre_interfaces >= "5"
-%%gen_interfaces('eth4', %%eth4_method, %%adresse_ip_eth4, %%adresse_netmask_eth4, %%adresse_broadcast_eth4, %%adresse_network_eth4, %%debit_carte_eth4, %%method_eth4, %%br_bridge_eth4)
+%%gen_interfaces('5', 'eth4', %%eth4_method, %%adresse_ip_eth4, %%adresse_netmask_eth4, %%adresse_broadcast_eth4, %%adresse_network_eth4, %%debit_carte_eth4, %%method_eth4, %%br_bridge_eth4)
  %if %%alias_eth4 == "oui"
   %for %%alias_addr_eth in %%alias_ip_eth4
    %set %%alias_index = %%alias_addr_eth.index
